org.wildfly.swarm.config.security

## Class ClassicVault<T extends ClassicVault<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.ClassicVault<T>

-     public class ClassicVault<T extends ClassicVault<T>>
      extends Object

  Security Vault for attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicVault()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `code()` Fully Qualified Name of the Security Vault Implementation.
    `T` | `code(String value)` Fully Qualified Name of the Security Vault Implementation.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `vaultOption(String key, Object value)` Security Vault options.
    `Map` | `vaultOptions()` Security Vault options.
    `T` | `vaultOptions(Map value)` Security Vault options.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicVault

          public ClassicVault()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### code

          public String code()

      Fully Qualified Name of the Security Vault Implementation.

    - #### code

          public T code(String value)

      Fully Qualified Name of the Security Vault Implementation.

    - #### vaultOptions

          public Map vaultOptions()

      Security Vault options.

    - #### vaultOptions

          public T vaultOptions(Map value)

      Security Vault options.

    - #### vaultOption

          public T vaultOption(String key,
                               Object value)

      Security Vault options.

Copyright © 2017 JBoss by Red Hat. All rights reserved.